View Issue Details

IDProjectCategoryView StatusLast Update
0037721LazarusWidgetsetpublic2020-11-05 00:39
ReporterCudaText man_ Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
OSmacOS 10.8 
Product Version2.1 (SVN) 
Summary0037721: Cocoa: strange work of button/label accelerators
DescriptionDemo
https://github.com/Alexey-T/FreePascal-tests/tree/master/Controls%20with%20accelerators

label has accelerator A.
2 button have accelerators B D.

a) Alt+accel don't work for all
b) Meta+accel works but only for 2 buttons, not label

working accel for label must put focus to FocusControl. when fixed.


TagsNo tags attached.
Fixed in Revision
LazTarget-
WidgetsetCocoa
Attached Files

Activities

CudaText man_

2020-10-08 10:33

reporter   ~0126142

Ok, it works now (accelerators are removed on Mac)

Issue History

Date Modified Username Field Change
2020-09-08 12:23 CudaText man_ New Issue
2020-09-08 21:53 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2020-09-08 21:53 Dmitry Boyarintsev Status new => acknowledged
2020-09-08 21:53 Dmitry Boyarintsev LazTarget => -
2020-10-08 10:33 CudaText man_ Note Added: 0126142
2020-10-24 01:42 Dmitry Boyarintsev Status acknowledged => resolved
2020-10-24 01:42 Dmitry Boyarintsev Resolution open => fixed
2020-10-24 01:42 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-11-05 00:39 CudaText man_ Status resolved => closed